# Copyright 1999-2005 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

inherit eutils
DESCRIPTION="X10 CM11A command line interface"
HOMEPAGE="http://heyu.tanj.com/heyu2/"
MY_P="heyu-2.0beta.2"
SRC_URI="http://heyu.tanj.com/heyu2/${MY_P}.tgz"

LICENSE="free-nocomm"
SLOT="0"
KEYWORDS="~x86"

IUSE=""

DEPEND=""

S=${WORKDIR}/${MY_P}

src_unpack() {

	unpack ${A}
	cd ${S}

	epatch ${FILESDIR}/directories.patch
}

src_compile() {

	cd ${S}
	sh ./Configure || die "Configure failed"

	emake || die "emake failed"
}

src_install() {

	make install || die "install failed"

	dodoc LICENSE protocol.txt README README2
	dodoc release_notes.txt heyufaq.txt history.txt 
}

pkg_postinst() {

	einfo "Adding user heyu"
	id heyu &>/dev/null || useradd -g tty -s /bin/false heyu
	einfo "Fixing file ownership & permissions"
	chown heyu:tty ${ROOT}/usr/bin/heyu
	chmod 6755 ${ROOT}/usr/bin/heyu
	install -d -o heyu -g nobody -m 755 ${ROOT}/var/lock/heyu
	install -d -o heyu -g nobody -m 755 ${ROOT}/var/spool/heyu
	install -d -o heyu -g nobody -m 755 ${ROOT}/etc/heyu
}
